/**************************************************************************
 *
 *  MLib top-level header
 *
 */
#ifndef __MLIB_H__
#define __MLIB_H__

/* configuration and important macros */
#include <mlib/config/config.h>
#include <mlib/macros.h>

/* core definitions */
#include <mlib/types.h>
#include <mlib/debug.h>
#include <mlib/tests.h>
#include <mlib/errors.h>
#include <mlib/except.h>
#include <mlib/lock.h>
#include <mlib/memory.h>
#include <mlib/mempool.h>
#include <mlib/core.h>
#include <mlib/object.h>
#include <mlib/primes.h>
#include <mlib/string.h>

#endif /* __MLIB_H__ */

/* END */
