#ifndef __MLIB_ERRORS_H__
#define __MLIB_ERRORS_H__

M_BEGIN_HEADER

  enum
  {
    M_ERR_OK                = 0,
    M_ERR_PARAMETER_CHECK,

    M_ERR_MEMORY_ALLOC,

    M_ERR_LOCK_INIT,
    M_ERR_LOCK_ENTER,
    M_ERR_LOCK_EXIT,

    M_ERR_STREAM_OPEN,
    M_ERR_STREAM_SEEK,
    M_ERR_STREAM_READ,
    M_ERR_STREAM_WRITE,

    M_ERR_FILE_INIT,
    M_ERR_FILE_OPEN,

    M_ERR_MAX
  };

M_END_HEADER

#endif /* __MLIB_ERRORS_H__ */
