#include <mlib/internal/itree.h>

#define  GEN_TABLE          M_Tree
#define  GEN_TABLE_PREFIX   m_tree
#define  GEN_NODE           M_TreeNode

#define  GEN_TABLE_ASSERT(_tree)  m_assert_is_tree( _tree )
#define  GEN_TABLE_POOL(_tree)    (_tree)->node_pool
#define  GEN_AVL_SIZE(_tree)      (_tree)->size

#define  GEN_KEY_COMPARE(_key,_tree)   (_tree)->key_compare
#define  GEN_KEY_DATA(_key,_tree)      (_tree)->key_data

#define  GEN_CACHE    M_Byte
#define  GEN_BALANCE  M_Int8

#define  GEN_NODE_BALANCE(n)   (n)->balance
#define  GEN_NODE_CACHE(n)     (n)->cache
#define  GEN_NODE_LEFT(n)      (n)->links[0]
#define  GEN_NODE_RIGHT(n)     (n)->links[1]
#define  GEN_NODE_CHILD_P(n,d) ((n)->links + (d))

#define  GEN_DEF(x)        MLIB_APIDEF(x)
