#ifndef __MLIB_INTERNAL_TESTS_H__
#define __MLIB_INTERNAL_TESTS_H__

M_BEGIN_HEADER

  typedef struct M_TestNodeRec_*   M_TestNode;
  typedef struct M_TestNodeRec_
  {
    M_TestNode    next;
    M_Test_Class  clazz;
    M_Bool        passed;

  } M_TestNodeRec;

  typedef struct M_TestStaticRec_
  {
    M_Core       mcore;
    M_Memory     memory;
    M_UInt       debug_level;
    M_TestNode   tests;
    M_TestNode*  tests_tail;

    M_UInt       num_success;
    M_UInt       num_failed;

  } M_TestStaticRec, *M_TestStatic;

M_END_HEADER

#endif /* __MLIB_INTERNAL_TESTS_H__ */

