#include <mlib/bits.h>

  MLIB_APIDEF(M_Int)
  m_bits32_lowest( M_UInt32  val )
  {
    M_Int  result = -1;

    if ( (val & 0x0000FFFF) == 0 )
    {
      result += 16;
      val   >>= 16;
    }
    if ( (val & 0x000000FF) == 0 )
    {
      result += 8;
      val   >>= 8;
    }
    if ( (val & 0x0000000F) == 0 )
    {
      result += 4;
      val   >>= 4;
    }
    if ( (val & 0x00000003) == 0 )
    {
      result += 2;
      val   >>= 2;
    }
    if ( (val & 0x00000001) == 0 )
    {
      result += 1;
      val   >>= 1;
    }
    if ( val )
      result ++;

    return result;
  }

