#include <mlib/internal/ibitset.h>

  /* copy a given bitset block */
  MLIB_LOCALDEF(M_UInt*)
  m_bitset_block_copy( M_Bitset  bitset, M_UInt*  source )
  {
    M_UInt*  block;

    if ( M_BITSET_IS_ALL(source) )
      block = source;
    else
    {
      block = m_bitset_block_new( bitset );
      M_MEM_COPY( block, source, M_BITSET_BLOCK_BYTES );
    }
    return block;
  }



