#include <mlib/internal/ibitset.h>

  MLIB_APIDEF(void)
  m_bitset_destroy( M_Bitset  bitset )
  {
    if (bitset)
    {
      M_Memory  memory;

      m_assert_is_bitset( bitset );
      memory = bitset->memory;

      m_bitset_clear( bitset );

      bitset->block_pool = 0;
      bitset->magic      = M_MAGIC_DEATH;
      bitset->memory     = 0;
      M_FREE( bitset );
    }
  }


