#include <mlib/internal/ibitset.h>

  MLIB_APIDEF(void)
  m_bitset_ensure( M_Bitset  bitset,
                   M_UInt    count )
  {
    if ( count > bitset->block_count * M_BITSET_BLOCK_LEN )
    {
      M_Memory  memory    = bitset->memory;
      M_UInt    old_count = bitset->block_count;
      M_UInt    new_count = (count+M_BITSET_BLOCK_LEN-1) / M_BITSET_BLOCK_LEN;

      M_RENEW_ARRAY( bitset->blocks, old_count, new_count );
      bitset->block_count = new_count;
    }
  }


