#include <mlib/buffer.h>


  MLIB_APIDEF( M_Size )
  m_buffer_put16_ube( M_Buffer  buffer,
                      M_UInt16  value )
  {
    M_Byte  t[2], *p;

    p = buffer->cur;
    if ( p + sizeof(t) <= buffer->limit )
    {
      M_POKE16_UBE( p, value );
      buffer->cur = p + sizeof(t);
      return sizeof(t);
    }

    M_POKE16_UBE( t, value );
    return m_buffer_write( buffer, t, sizeof(t) );
  }


