#include <mlib/buffer.h>

  MLIB_APIDEF( M_Size )
  m_buffer_put24_ule( M_Buffer  buffer,
                      M_UInt32  value )
  {
    M_Byte  t[3], *p;

    p = buffer->cur;
    if ( p + sizeof(t) <= buffer->limit )
    {
      M_POKE24_ULE( p, value );
      buffer->cur = p + sizeof(t);
      return sizeof(t);
    }

    M_POKE24_ULE( t, value );
    return m_buffer_write( buffer, t, sizeof(t) );
  }


