#include <mlib/buffer.h>

#ifdef M_CONFIG_HAS_INT64

  MLIB_APIDEF( M_Size )
  m_buffer_put64_ule( M_Buffer  buffer,
                      M_UInt64  value )
  {
    M_Byte  t[8], *p;

    p = buffer->cur;
    if ( p + sizeof(t) <= buffer->limit )
    {
      M_POKE64_ULE( p, value );
      buffer->cur = p + sizeof(t);
      return sizeof(t);
    }

    M_POKE64_ULE( t, value );
    return m_buffer_write( buffer, t, sizeof(t) );
  }

#endif /* M_CONFIG_HAS_INT64 */


