#include <mlib/internal/icalc.h>

 /* a not-so-fast but working 16.16 fixed point square root function */
  MLIB_APIDEF(M_Fix16)
  m_fix16_sqrt( M_Fix16  x )
  {
    M_UInt32  root, rem_hi, rem_lo, test_div;
    M_Int     count;

    root = 0;

    if ( x > 0 )
    {
      rem_hi = 0;
      rem_lo = x;
      count  = 16;
      do
      {
        rem_hi   = (rem_hi << 2) | (rem_lo >> 30);
        rem_lo <<= 2;
        root   <<= 1;
        test_div = (root << 1) + 1;
        if ( rem_hi >= test_div )
        {
          rem_hi -= test_div;
          root   += 1;
        }
      }
      while (--count);

      count = 8;
      do
      {
        rem_hi <<= 2;
        root   <<= 1;
        test_div = (root << 1) + 1;
        if ( rem_hi >= test_div )
        {
          rem_hi -= test_div;
          root   += 1;
        }
      }
      while (--count);
    }

    return (M_Fix16)root;
  }
