#include <mlib/primes.h>

  static const M_UFast  m_primes_table[] =
  {
    7,
    11,
    19,
    37,
    73,
    109,
    163,
    251,
    367,
    557,
    823,
    1237,
    1861,
    2777,
    4177,
    6247,
    9371,
    14057,
    21089,
    31627,
    47431,
    71143,
    106721,
    160073,
    240101,
    360163,
    540217,
    810343,
    1215497,
    1823231,
    2734867,
    4102283,
    6153409,
    9230113,
    13845163,
  };


  MLIB_APIDEF(M_UFast)
  m_primes_find_closest( M_UFast  num )
  {
    M_UInt  i;

    for ( i = 0; i < M_NUM_ELEMENTS(m_primes_table); i++ )
      if ( m_primes_table[i] > num )
        return m_primes_table[i];

    return M_PRIMES_MAX;
  }


