#include <mlib/internal/idate.h>

 /* compute day/month/year from gegorian julian date - assume correct date */
  MLIB_LOCALDEF(void)
  m_idate_to_dmy( M_IDate  date )
  {
    M_Int32  a, b, c, d, e, m;

    a = date->julian + 32044;
    b = (4*a + 3)/146097;
    c = a - (146097*b)/4;

    d = (4*c+3)/1461;
    e = c - (1461*d)/4;
    m = (5*e+2)/153;

    date->day   = (M_Byte) ( e - (153*m+2)/5 + 1 );
    date->month = (M_Byte) ( m + 3 - (12*m)/10 );
    date->year  = (M_Int16)( 100*b + d - 4800 + m/10 );

    date->flags |= M_DATE_FLAG_DMY;
  }



