#include <mlib/internal/ihash.h>

 /* create a new hash node */
  MLIB_LOCALDEF(M_HashNode)
  m_hash_node_new( M_HashTable    table,
                   M_Pointer      key,
                   M_Pointer      value )
  {
    M_HashNode  node;

    m_assert_is_hash_table( table );

    node        = m_mem_alloc( sizeof(*node), table->node_pool );
    node->link  = 0;
    node->key   = key;
    node->hash  = M_HASH_KEY_HASH(key,table);
    node->value = value;

    return node;
  }


