#include <mlib/internal/ghash.h>

  MLIB_APIDEF(void)
  m_hash_table_destroy( M_HashTable  table )
  {
    if ( table )
    {
      M_Memory  memory;

      m_assert_is_hash_table( table );

      m_hash_table_clear( table );

      table->magic = M_MAGIC_DEATH;
      memory       = table->memory;

      M_FREE( table );
    }
  }


