#include <mlib/list.h>

  MLIB_APIDEF(void)
  m_list_free_all( M_List*            plist,
                   M_DestroyDataFunc  val_destroy,
                   M_Pointer          val_data,
                   M_Memory           memory )
  {
    if ( *plist )
    {
      M_LIST_LOOP_NODE( plist, node )
      {
        if ( val_destroy )
          val_destroy( node->data, val_data );

        m_list_free( node, memory );
      }
      M_LIST_END

      *plist = NULL;
    }
  }


