#include <mlib/internal/imemory.h>

  MLIB_APIDEF(void)
  m_mem_batch_free( M_UInt      count,
                    M_Pointer*  pointers,
                    M_Memory    memory )
  {
    M_Pointer*  pptr;

    m_assert_is_memory( memory );

    pptr = pointers + count - 1;
    for ( ; count > 0; count--, pptr-- )
    {
      if ( pptr[0] )
      {
        m_mem_free( pptr[0], memory );
        pptr[0] = NULL;
      }
    }
  }


