#include <mlib/internal/imemory.h>

  MLIB_APIDEF(void)
  m_mem_free( M_Pointer  p,
              M_Memory   memory )
  {
    M_IMemory  internal = M_IMEMORY(memory);

    m_assert_is_memory( memory );

    if (p)
    {
#ifdef MLIB_CONFIG_OPTION_MEMORY_POOLS
      if ( internal->pool )
        M_MEMORY_POOL_FREE( internal->pool, block );
      else
#endif
      internal->free( p, memory );
    }
  }


