#include <mlib.h>
#include <mlib/internal/icore.h>
#include <mlib/internal/imemory.h>

  MLIB_APIDEF(void)
  m_mem_push( M_Pointer  block,
              M_Memory   memory )
  {
    if (block)
    {
      M_Core  mcore;

      m_assert_is_memory( memory );

      mcore = memory->mcore;

      m_core_push_inline( mcore, block,
                          (M_CleanupFunc) M_IMEMORY(memory)->free,
                          memory, "mem.push" );
    }
  }


