#include <mlib/internal/imemory.h>

  MLIB_APIDEF(M_Pointer)
  m_mem_qalloc( M_Size    size,
                M_Memory  memory )
  {
    M_Pointer   result;
    M_IMemory   internal;

    m_assert_is_memory( memory );
    internal = M_IMEMORY(memory);

#ifdef MLIB_CONFIG_OPTION_MEMORY_POOLS
    if ( internal->pool )
      M_MEMORY_POOL_ALLOC( internal->pool, size, result );
    else
#endif
      result = size ? M_IMEMORY(memory)->alloc( size, memory ) : 0;

    return result;
  }


