#include <mlib/ring.h>

  MLIB_APIDEF(M_Ring)
  m_ring_node_skip( M_Ring  node,
                    M_Int   delta )
  {
    if ( node )
    {
      if ( delta > 0 )
      {
        for ( ; delta > 0; delta-- )
           node = node->next;
      }
      else if ( delta < 0 )
      {
        for ( ; delta < 0; delta++ )
          node = node->prev;
      }
    }
    return node;
  }


