#include <mlib/internal/irope.h>

  MLIB_LOCALDEF(void)
  m_rope_append0( M_Rope     target,
                  M_CString  source,
                  M_Size     len )
  {
    if ( source && len )
    {
      M_Byte*  p;

      m_rope_grow( target, len );
      p = (M_Byte*)target->str;

      M_MEM_COPY( p + target->len, source, len );
      target->len += len;
      p[target->len] = 0;
    }
  }


