#include <mlib/internal/irope.h>

  MLIB_APIDEF(void)
  m_rope_crop( M_Rope  target,
               M_Int   start,
               M_Int   len )
  {
    M_Int    delta;
    M_Byte*  p;

    m_assert( target );

    if ( start < 0 )
    {
      len  += start;
      start = 0;
    }

    delta = start + len - target->len;
    if (delta > 0)
      len -= delta;

    p = (M_Byte*)target->str;
    if ( len > 0 )
      M_MEM_MOVE( p, p+start, len );

    target->len = len;
    p[len]      = '\0';
  }


