#include <mlib/internal/irope.h>

  MLIB_LOCALDEF(void)
  m_rope_prepend0( M_Rope     target,
                   M_CString  source,
                   M_Size     len )
  {
    m_assert( target );

    if ( len > 0 )
    {
      M_Byte*  p;

      m_rope_grow( target, len );
      p = (M_Byte*)target->str;
      M_MEM_MOVE( p + len, p, target->len );
      M_MEM_COPY( p, source, len );
      target->len += len;
      p[target->len] = '\0';
    }
  }


