#include <mlib/internal/istream.h>

  MLIB_APIDEF( void )
  m_stream_done( M_Stream  stream )
  {
    if ( stream )
    {
      M_Memory      memory = m_get_memory( stream );
      M_StreamInfo  info   = stream->info;
      M_FrameInfo   frame;

      if ( info->buffer && m_flags_test( info, M_BUFFER_WRITING ) )
        m_buffer_flush( info->buffer );

      info->flags  = 0;
      info->buffer = NULL;

      if ( info->parent != stream )
        m_unref( info->parent );

      info->parent = NULL;

      M_FREE( stream->info );
    }
  }

