#include <mlib/internal/istream.h>

  MLIB_LOCAL( void )
  m_stream_to_write( M_Stream  stream )
  {
    M_StreamInfo  info = stream->info;
    
    if ( !m_flags_test( info, M_STREAM_FLAG_WRITING ) )
    { 
      M_Stream_Class  clazz = M_STREAM_GET_CLASS(stream);
      
      clazz->control( info->parent, M_STREAM_CONTROL_TO_WRITE, 0 );
      m_flags_set( info, M_STREAM_WRITING );
    }
  }
