#include <mlib/string.h>

  MLIB_APIDEF(M_ULong)
  m_str_hash( M_CString  string )
  {
    M_ULong   val = 0;

    if (string)
    {
      M_CString  p;

      for ( p = string; p[0]; p++ )
        val = val*33 + p[0];
    }
    return val;
  }


#ifdef M_CONFIG_OPTION_UNIT_TESTS

  static void
  m_str_hash__test( M_Test  test )
  {
    M_TEST_BEGIN
    {
      M_TEST_ASSERT( m_str_hash( NULL ) == 0 );
      M_TEST_ASSERT( m_str_hash( "" )   == 0 );
      M_TEST_ASSERT( m_str_hash( "a" )  != 0 );
      M_TEST_ASSERT( m_str_hash( "ab" ) != m_str_hash( "a" ) );
      M_TEST_ASSERT( m_str_hash( "ab" ) != m_str_hash( "ba" ) );
      M_TEST_ASSERT( m_str_hash( "ab" ) != m_str_hash( "abc" ) );
    }
    M_TEST_END
  }

#define  M_TEST_FUNCTION  m_str_hash__test
#define  M_TEST_NAME      "m_str_hash"
#include <mlib/tests-def.h>

#endif /* M_CONFIG_OPTION_UNIT_TESTS */

