#include <mlib/string.h>

  MLIB_APIDEF(M_Size)
  m_str_len( M_CString  string )
  {
    M_CString  p = string;

    if ( p )
      for (;;)
      {
        M_Int  cp;

        cp = *p; if ( cp == 0 ) break; p++;
        cp = *p; if ( cp == 0 ) break; p++;
        cp = *p; if ( cp == 0 ) break; p++;
        cp = *p; if ( cp == 0 ) break; p++;
      }

    return (M_Size)( p - string );
  }


#ifdef M_CONFIG_OPTION_UNIT_TESTS

  static void
  m_str_len__test( M_Test  test )
  {
    M_TEST_BEGIN
    {
      M_TEST_ASSERT( m_str_len( NULL ) == 0 );
      M_TEST_ASSERT( m_str_len( "" )   == 0 );
      M_TEST_ASSERT( m_str_len( "a" )  == 1 );
      M_TEST_ASSERT( m_str_len( "ab" ) == 2 );
      M_TEST_ASSERT( m_str_len( "abcdefghijklmnopqrstuvwxyz" ) == 26 );
    }
    M_TEST_END
  }

#define  M_TEST_FUNCTION  m_str_len__test
#define  M_TEST_NAME      "m_str_len"
#include <mlib/tests-def.h>

#endif /* M_CONFIG_OPTION_UNIT_TESTS */

 