#include <mlib/string.h>
#include <mlib/internal/icore.h>  /* for m_core_push_inline */

  MLIB_APIDEF(M_String)
  m_str_new( M_Size    length,
             M_Memory  memory,
             M_Bool    push )
  {
    M_String  string = NULL;

    m_assert_is_memory( memory );

    if (length)
    {
      string = M_ALLOC( length+1 );
      if ( push )
        m_core_push_inline( memory->mcore, string,
                            (M_CleanupFunc) m_str_free, memory,
                            "mlib.string.new" );
    }
    return string;
  }


