#define  M_MAKE_OPTION_SINGLE

#include "m_str_chr.c"
#include "m_str_dup.c"
#include "m_str_free.c"
#include "m_str_hash.c"
#include "m_str_len.c"
#include "m_str_new.c"
#include "m_str_pop.c"
#include "m_str_push.c"
#include "m_str_rchr.c"
#include "m_str_start.c"
#include "m_str_tolower.c"
#include "m_str_toupper.c"

#include "m_str_compare.c"
#include "m_str_equal.c"
#include "m_str_case_compare.c"
#include "m_str_case_equal.c"

#include "m_strn_chr.c"
#include "m_strn_dup.c"
#include "m_strn_hash.c"
#include "m_strn_len.c"
#include "m_strn_rchr.c"
#include "m_strn_start.c"
#include "m_strn_tolower.c"
#include "m_strn_toupper.c"
#include "m_strn_append.c"

#include "m_tolower.c"
#include "m_toupper.c"


#ifdef M_CONFIG_OPTION_UNIT_TESTS

  MLIB_VARDEF( M_Test_Class )   m_string__test_classes[] =
  {
    MLIB_TEST_DEF(m_str_case_compare)
    MLIB_TEST_DEF(m_str_case_equal)
    MLIB_TEST_DEF(m_str_chr)
    MLIB_TEST_DEF(m_str_compare)
    MLIB_TEST_DEF(m_str_equal)
    MLIB_TEST_DEF(m_str_chr)
    MLIB_TEST_DEF(m_str_rchr)
    MLIB_TEST_DEF(m_str_hash)
    MLIB_TEST_DEF(m_str_start)
    MLIB_TEST_DEF(m_str_tolower)
    MLIB_TEST_DEF(m_str_toupper)
    MLIB_TEST_DEF(m_strn_append)
    NULL
  };

#endif /* UNIT_TESTS */


