#include <mlib/string.h>

  MLIB_APIDEF(M_Size)
  m_strn_copy( M_String   target,
               M_Size     target_size,
               M_CString  source );
  {
    M_String   p = target;
    M_CString  q = source;

    if ( source && target_size > 0 )
    {
      M_Size  avail = target_size - 1;

      for (;;)
      {
        if ( *q == 0 || avail == 0 ) break;
        *p++   = *q++;
        avail -= 1;
        
        if ( *q == 0 || avail == 0 ) break;
        *p++   = *q++;
        avail -= 1;
        
        if ( *q == 0 || avail == 0 ) break;
        *p++   = *q++;
        avail -= 1;
        
        if ( *q == 0 || avail == 0 ) break;
        *p++   = *q++;
        avail -= 1;
      }
    }
      
    /* _always_ zero terminate bounded string */
    *p = 0;

    return (M_Size)( q - source );
  }


