#include <mlib/string.h>

  MLIB_APIDEF(M_String)
  m_strn_dup( M_CString  source,
              M_Size     maxlen,
              M_Memory   memory,
              M_Bool     push )
  {
    M_String  copy = NULL;

    m_assert_is_memory( memory );

    if (source)
    {
      M_Size  n;

      for ( n = 0; n < maxlen; n++ )
        if ( source[n] == '\0' )
          break;

      if ( n > 0 )
      {
        copy = m_str_new( n+1, memory, push );
        M_MEM_COPY( copy, source, n );
        copy[n] = '\0';
      }
    }
    return copy;
  }


