#include <mlib/internal/itree.h>

  MLIB_APIDEF(void)
  m_tree_destroy( M_Tree  tree )
  {
    M_Memory  memory;

    m_assert_is_tree( tree );
    memory = tree->memory;

    if ( tree->root )
      m_tree_clear( tree );

    tree->root      = 0;
    tree->node_pool = 0;
    tree->memory    = 0;
    tree->magic     = M_MAGIC_DEATH;

    M_FREE( tree );
  }


