#include <mlib.h>
#include <stdio.h>

#ifdef M_DEBUG_LEVEL_LOG

#undef  M_LOG_DOMAIN
#define M_LOG_DOMAIN    "MLIB_TESTS"

#undef  M_LOG_COMPONENT
#define M_LOG_COMPONENT "Debug"

  static void test_debug( void )
  {
    M_LOG0(( "log level 0: hello !!\n" ));
    M_LOG1(( "log level 1: hello !!\n" ));
    M_LOG2(( "log level 2: hello !!\n" ));
    M_LOG3(( "log level 3: hello !!\n" ));
    M_LOG4(( "log level 4: hello !!\n" ));
    M_LOG5(( "log level 5: hello !!\n" ));
    M_LOG6(( "log level 6: hello !!\n" ));

    M_ERROR(( "error level: hello !!\n" ));
  }
  
  int main( void )
  {
    test_debug();

    fprintf( stderr, "test_debug: ok\n" );
    return 0;
  }

#else

  int main( void )
  {
    fprintf( stderr, "test_debug: ok (not a debug build)\n" );
    return 0;
  }

#endif
