#include <mlib/internal/ihash.h>

/* generic definitions for hash tables */

#define  GEN_TABLE         M_HashTable
#define  GEN_TABLE_PREFIX  m_hash_table
#define  GEN_NODE          M_HashNode

/* node destructor */
#define  GEN_NODE_DESTROY(node,table)  \
             m_hash_node_destroy(node,table)

/* node constructor */
#define  GEN_NODE_NEW(node,key,value,table)  \
             node = m_hash_node_new( table, key, value )

/* key hash computation */
#define  GEN_KEY_HASH(key,table)  M_HASH_KEY_HASH(key,table)

/* key comparison function */
#define  GEN_KEY_COMPARE(key,table)   table->key_compare

/* key comparison data */
#define  GEN_KEY_DATA(key,table)      table->key_data

/* function definition macro */
#define  GEN_DEF    MLIB_APIDEF

#define  GEN_HASH_FIND_NODEPTR  m_hash_table_get_nodep

/* */
