#include <mlib/internal/istrlist.h>

#define  GEN_ITEM    M_String
#define  GEN_TABLE   M_StrList
#define  GEN_INDEX   M_Int
#define  GEN_UINDEX  M_UInt

#define  GEN_TABLE_PREFIX   m_strlist

#define  GEN_TABLE_ASSERT(x)  m_assert_is_strlist(x)
#define  GEN_TABLE_MEMORY(x)  M_ISTRLIST(x)->memory


#define  GEN_VECTOR_COUNT(x)   M_ISTRLIST(x)->list.count
#define  GEN_VECTOR_SIZE(x)    M_ISTRLIST(x)->size
#define  GEN_VECTOR_ITEMS(x)   M_ISTRLIST(x)->list.strings

#define  GEN_ITEM_SET(_string,_list)                                         \
             M_BEGIN_STMNT                                                   \
               if  ( M_ISTRLIST(_list)->owner == M_STRLIST_COPY )            \
                 _string = m_str_dup( _string, GEN_TABLE_MEMORY(_list), 0 ); \
             M_END_STMNT

#define  GEN_ITEM_UNSET(_string,_list)                                 \
             M_BEGIN_STMNT                                             \
               if ( M_ISTRLIST(_list)->owner )                         \
                 m_mem_free( _string, GEN_TABLE_MEMORY(_list) );  \
             M_END_STMNT

#define  GEN_DEF(x)   MLIB_APIDEF(x)

