#ifndef __MLIB_INTERNAL_LIST_H__
#define __MLIB_INTERNAL_LIST_H__

M_BEGIN_HEADER

 /* the list pool is simple a memory pool used to hold all list nodes !! */

#define  m_list_pool_alloc( _pool, _size )                            \
               m_memory_pool_alloc( M_MEMORY_POOL(_pool), _size )


#define  m_list_pool_free( _node, _pool )                                \
              M_BEGIN_STMNT                                              \
                m_assert( sizeof(*(_node)) == sizeof(M_ListNodeRec) );   \
                m_memory_pool_free( _node, M_MEMORY_POOL(_pool) );       \
              M_END_STMNT


#define  m_assert_is_list(x)        \
           m_assert( (x) && (x)->pool )


#define  m_assert_is_list_pool(x)   \
           m_assert_is_memory_pool( M_MEMORY_POOL(x) )

M_END_HEADER

#endif /* __MLIB_INTERNAL_LIST_H__ */

