#ifndef  __MLIB_INTERNAL_STRLIST_H__
#define  __MLIB_INTERNAL_STRLIST_H__

#include <mlib/strlist.h>

M_BEGIN_HEADER

#define  M_MAGIC_STRLIST   0x7374726C   /* "strl" */

  typedef struct M_IStrListRec_
  {
    M_StrListRec     list;
    M_UInt           size;
    M_StrList_Owner  owner;
    M_Memory         memory;
    M_UInt32         magic;

  } M_IStrListRec, *M_IStrList;

#define  M_ISTRLIST(x)  ((M_IStrList)(x))

#define  m_assert_is_strlist(x) \
           m_assert( (x) && M_ISTRLIST(x)->magic == M_MAGIC_STRLIST )

  MLIB_LOCAL(void)
  m_strlist_ensure( M_StrList  list,
                    M_UInt     count );

M_END_HEADER

#endif /* __MLIB_INTERNAL_STRLIST_H__ */
