#include <mlib/internal/ibitset.h>

  MLIB_APIDEF(M_Int)
  m_bitset_first( M_Bitset  bitset )
  {
    if ( bitset && bitset->blocks )
    {
      M_UInt    count  = bitset->block_count;
      M_Int     base   = 0;
      M_UInt**  pblock = bitset->blocks;

      m_assert( count > 0 );
      for ( ; count > 0; count--, pblock++ )
      {
        M_UInt*  block  = pblock[0];
        M_UInt   count2 = M_BITSET_BLOCK_COUNT;

        if ( block == M_BITSET_ALL_ZERO )
        {
          base += M_BITSET_BLOCK_LEN;
        }
        else if ( M_BITSET_IS_ALL(block) )
        {
          return base + m_bits32_lowest( M_BITSET_ALL_VAL(block) );
        }
        else
        {
          for ( ; count2 > 0; count2--, block++, base += M_BITSET_BLOCK_BITS )
            if (block[0])
              return base + m_bits32_lowest( block[0] );
        }
      }
    }
    return -1;
  }


