#include <mlib/internal/ibitset.h>

  MLIB_APIDEF(M_UInt)
  m_bitset_get8( M_Bitset  bitset,
                 M_UInt    index )
  {
    M_UInt  result = 0;

    index *= 8;
    if ( bitset && (index/M_BITSET_BLOCK_LEN) < bitset->block_count )
    {
      M_UInt*  block = bitset->blocks[ index / M_BITSET_BLOCK_LEN ];
      M_UInt   val;

      if ( M_BITSET_IS_ALL(block) )
      {
        val    = M_BITSET_ALL_VAL(block);
        result = (val >> (index % 8)) & 255;
      }
      else
      {
        val    = block[(index % M_BITSET_BLOCK_LEN)/M_BITSET_BLOCK_BITS];
        result = (val >> (index % M_BITSET_BLOCK_BITS)) & 255;
      }
    }
    return result;
  }



