#include <mlib/internal/ibitset.h>

  MLIB_APIDEF(void)
  m_bitset_set4( M_Bitset   bitset,
                 M_UInt     index,
                 M_UInt     value )
  {
    if ( bitset )
    {
      M_UInt*  block;
      M_UInt** pblock;
      M_UInt   i;

      value &= 15;
      index *= 4;
      pblock = m_bitset_set_prepare( bitset, index, 4, value );
      if (!pblock) return;

      block = pblock[0];

      m_assert( ! M_BITSET_IS_ALL(block) );

      block  += ((index % M_BITSET_BLOCK_LEN)/M_BITSET_BLOCK_BITS);
      i       = index % M_BITSET_BLOCK_BITS;
      value <<= i;
      block[0] = ( block[0] & ~(15UL << i)) | value;
    }
  }


