#include <mlib/buffer.h>

  MLIB_APIDEF( M_UInt32 )
  m_buffer_get24_ule( M_Buffer  buffer )
  {
    M_Byte    t[3], *p;
    M_UInt32  result;

    p = buffer->cur;
    if ( p + sizeof(t) <= buffer->limit )
    {
      buffer->cur = p + sizeof(t);
      return M_PEEK24_ULE(p);
    }

    result = 0;
    if ( m_buffer_read( buffer, t, sizeof(t) ) == sizeof(t) )
      result = M_PEEK24_ULE(t);

    return result;
  }


