#include <mlib/buffer.h>

#ifdef M_CONFIG_HAS_INT64

  MLIB_APIDEF( M_UInt64 )
  m_buffer_get64_ube( M_Buffer  buffer )
  {
    M_Byte    t[8], *p;
    M_UInt64  result;

    p = buffer->cur;
    if ( p + sizeof(t) <= buffer->limit )
    {
      buffer->cur = p + sizeof(t);
      return M_PEEK64_UBE(p);
    }

    result = 0;
    if ( m_buffer_read( buffer, t, sizeof(t) ) == sizeof(t) )
      result = M_PEEK64_UBE(t);

    return result;
  }

#endif /* M_CONFIG_HAS_INT64 */
