#include <mlib/internal/icalc.h>

  MLIB_API( M_Int32 )
  m_calc64_div( M_Calc64  z,
                M_Int32   divisor )
  {
    M_Int32   s;
    M_UInt32  quotient, remainder;

    s  = z->hi;   if ( s < 0 ) M_CALC64_NEG( z );
    s ^= divisor; if ( divisor < 0 ) divisor = -divisor;

    M_CARD64_DIV( M_CARD64(z), M_UINT32(divisor), quotient, remainder );

    if ( quotient > M_INT32_MAX )
      quotient = M_INT32_MAX;

    return ( s < 0 ) ? -M_INT32(quotient) : M_INT32(quotient);
  }



