#include <mlib/internal/icalc.h>

  MLIB_APIDEF( void )
  m_calc64_mul( M_Calc64  z,
                M_Int32   a,
                M_Int32   b )
  {
    M_Int32  s;

    s  = a; if ( a < 0 ) a = -a;
    s ^= b; if ( b < 0 ) b = -b;

    M_UMUL64( M_CARD64(z)->hi, M_CARD64(z)->lo, M_UINT32(a), M_UINT32(b) );
    if ( s < 0 )
      M_CALC64_NEG( z );
  }


