#include <mlib/internal/icalc.h>

  MLIB_API( void )
  m_card64_shl( M_Card64   z,
                M_Int      shift )
  {
    if ( (M_UInt)shift < 32 )
    {
      /* the most common case */
      M_CARD64_SHL( z, shift );
    }
    else
    {
      /* exceptions */
      if ( shift > 0 )
      {
        z->hi = ( shift < 64 ) ? (z->lo << (shift-32)) : 0;
        z->lo = 0;
      }
      else
        m_card64_shr( z, -shift );
    }
  }


