#include <mlib/internal/idate.h>

  MLIB_VARDEF(const M_Int)  m_date_month_days[ 13 ] =
  { 0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };


  MLIB_LOCALDEF(M_Int)
  m_date_days_in_month( M_DateMonth  month,
                        M_DateYear   year )
  {
    M_Int  result = 0;

    if ( year > 1 && month >= 1 && month <= 12 )
    {
      result = m_date_month_days[month];
      if ( month == 2 && m_date_is_leap_year(year) )
        result++;
    }
    return result;
  }


