#include <mlib/internal/idate.h>

  MLIB_APIDEF( M_Int32 )
  m_date_diff_days( M_Date  date1_,
                    M_Date  date2_ )
  {
    M_IDate  date1   = M_IDATE(date1_);
    M_IDate  date2   = M_IDATE(date2_);
    M_Int32  julian1 = 0, julian2 = 0;

    if ( M_DATE_IS_VALID(date1) )
    {
      M_DATE_NEED_JULIAN(date1);
      julian1 = date1->julian;
    }

    if ( M_DATE_IS_VALID(date2) )
    {
      M_DATE_NEED_JULIAN(date2);
      julian2 = date2->julian;
    }

    return julian2 - julian1;
  }


