#include <mlib/internal/idate.h>

 /* compute gregorian julian date - assume correct date */
  MLIB_LOCALDEF(void)
  m_idate_to_julian( M_IDate  date )
  {
    M_Int32   a, y, m;

    a = (14 - date->month)/12;
    y = date->year + 4800 - a;
    m = date->month + 12*a - 3;

    date->julian = date->day + (153*m+2)/5 + 365*y + (y/4) - (y/100) +
                   (y/400) - 32045;

    date->flags |= M_DATE_FLAG_JULIAN;
  }


