#include <mlib/internal/ilhash.h>

MLIB_APIDEF( void )
m_lhash_init_full( M_LHash          table,
                   M_Memory         memory,
                   M_EqualDataFunc  node_equal,
                   M_Pointer        node_data )
{
  table->memory     = memory,
  table->node_equal = node_equal;
  table->node_data  = node_data;
  table->p          = 0;
  table->mask       = M_LHASH_INITIAL_SIZE-1;
  table->slack      = M_LHASH_INITIAL_SIZE * M_LHASH_MAX_LOAD;

  M_NEW_ARRAY( table->buckets, M_LHASH_INITIAL_SIZE*2 );
}
