#include <mlib/list.h>

  MLIB_APIDEF(void)
  m_list_remove_node( M_List*  plist,
                      M_List   node )
  {
    if ( *plist )
    {
      M_List  prev = node->prev;
      M_List  next = node->next;

      if ( prev )
        prev->next = next;
      else
        *plist = next;

      if ( next )
        next->prev = prev;
    }
  }


