#include <mlib.h>
#include <mlib/internal/icore.h>
#include <mlib/internal/imemory.h>

  MLIB_APIDEF(M_Pointer)
  m_mem_alloc_push( M_Size      size,
                    M_Memory    memory )
  {
    M_Core     mcore;
    M_Pointer  block    = 0;

    m_assert_is_memory( memory );

    mcore = memory->mcore;
    block = m_mem_alloc( size, memory );
    if (block)
      m_core_push_inline( mcore, block,
                          (M_CleanupFunc) M_IMEMORY(memory)->free,
                          memory,
                          "mem.alloc_push" );
    return block;
  }


