#include <mlib.h>
#include <mlib/internal/icore.h>

  MLIB_APIDEF(void)
  m_mem_pop( M_Pointer    block,
             M_Memory     memory,
             M_PopAction  action )
  {
    M_Core   mcore;

    m_assert_is_memory( memory );

    mcore = memory->mcore;
    if (block)
      m_core_pop_inline( mcore, block,
                         (M_CleanupFunc) M_IMEMORY(memory)->free,
                         action,
                         "mem.pop" );
  }


