#include <mlib/ring.h>

  MLIB_APIDEF(void)
  m_ring_append_node( M_Ring*  pring,
                      M_Ring   node )
  {
    M_Ring  first, last;

    m_assert( pring && node );

    first = *pring;
    if (first)
    {
      last        = first->prev;
      node->next  = first;
      node->prev  = last;
      last->next  = node;
      first->prev = node;
    }
    else
    {
      node->next = node;
      node->prev = node;
      *pring     = node;
    }
  }


