#include <mlib/ring.h>

  MLIB_APIDEF(void)
  m_ring_foreach( M_Ring*          pring,
                  M_Ring_NodeFunc  node_func,
                  M_Pointer        node_data )
  {
    if ( *pring && node_func )
    {
      M_RING_LOOP_NODE( pring, node )
      {
        node_func( node, node_data );
      }
      M_RING_END
    }
  }


