#include <mlib/ring.h>

  MLIB_APIDEF(void)
  m_ring_free_all( M_Ring*            pring,
                   M_DestroyDataFunc  val_destroy,
                   M_Pointer          val_data,
                   M_Memory           memory )
  {
    if ( *pring )
    {
      M_RING_LOOP_NODE( pring, node )
      {
        if ( val_destroy )
          val_destroy( node->data, val_data );

        m_ring_free( node, memory );
      }
      M_RING_END

      *pring = NULL;
    }
  }

