#include <mlib/ring.h>

  MLIB_APIDEF(void)
  m_ring_reverse( M_Ring*  pring )
  {
    M_Ring  last = NULL;

    last = *pring;
    if (last)
    {
      last = last->prev;

      M_RING_LOOP_NODE( pring, node )
      {
        M_Ring  temp;

        temp       = node->next;
        node->next = node->prev;
        node->prev = temp;
      }
      M_RING_END

      *pring = last;
    }
  }


