#include <mlib/internal/irope.h>

  MLIB_LOCALDEF( void )
  m_rope_insert0( M_Rope     target,
                  M_Int      pos,
                  M_CString  source,
                  M_Size     len )
  {
    m_assert( target );

    if ( pos <= 0 )
      m_rope_prepend0( target, source, len );

    else if ( (M_UInt)pos >= target->len )
      m_rope_append0( target, source, len );

    else if (source)
    {
      M_Byte*  p;

      m_rope_grow( target, len );
      p = (M_Byte*)target->str;
      M_MEM_MOVE( p + pos + len, p + pos, target->len - pos );
      M_MEM_COPY( p + pos, source, len );
      target->len   += len;
      p[target->len] = '\0';
    }
  }


