#include <mlib/slist.h>


  MLIB_APIDEF(void)
  m_slist_foreach( M_SList*          plist,
                   M_SList_NodeFunc  node_func,
                   M_Pointer         node_data )
  {
    if ( *plist && node_func )
    {
      M_SLIST_LOOP_NODE( plist, node )
      {
        node_func( node, node_data );
      }
      M_SLIST_END
    }
  }


