#include <mlib/slist.h>

  MLIB_APIDEF(void)
  m_slist_free_all( M_SList*          plist,
                    M_DestroyDataFunc val_destroy,
                    M_Pointer         val_data,
                    M_Memory          memory )
  {
    if ( *plist )
    {
      M_SLIST_LOOP_NODE( plist, node )
      {
        if ( val_destroy )
          val_destroy( node->data, val_data );

        m_slist_free( node, memory );
      }
      M_SLIST_END

      *plist = NULL;
    }
  }


