#include <mlib/slist.h>

  MLIB_APIDEF(void)
  m_slist_remove( M_SList*   plist,
                  M_Pointer  data,
                  M_Memory   memory )
  {
    M_SList  prev = NULL;

    M_SLIST_LOOP_NODE(plist,node)
    {
      if ( node->data == data )
      {
        if ( prev )
          prev->next = node->next;
        else
          *plist = node->next;

        node->next = NULL;
        m_slist_free( node, memory );
        return;
      }
      prev = node;
    }
    M_SLIST_END
  }


