#include <mlib/sort.h>

 /* define m_heap_sort */
#define GEN_SORT_CELLS       M_Pointer
#define GEN_SORT_CELL        M_Byte
#define GEN_SORT_INDEX       M_UFast
#define GEN_SORT_AUX_        , M_Size  width, M_CompareFunc  compare
#define GEN_SORT_AUX         , width, compare
#define GEN_SORT_MOVE(a,b)   M_MEM_SET(a,b,width)
#define GEN_SORT_DEF(x)      MLIB_APIDEF(x)
#define GEN_SORT_HEAP        m_heap_sort

#define GEN_SORT_PTR(_table,_index)  ((M_Byte*)(_table) + (_index)*width)
#define GEN_SORT_COMPARE(_a,_b)      compare( (M_Pointer)(_a), (M_Pointer)(_b) )

#include <mlib/generic/heapsort.i>
