#include <mlib/string.h>
#include <mlib/internal/icore.h>

  MLIB_APIDEF(void)
  m_str_pop( M_CString    string,
             M_Memory     memory,
             M_PopAction  action )
  {
    m_assert_is_memory( memory );

    m_core_pop_inline( memory->mcore, string,
                       (M_CleanupFunc)&m_str_free,
                       action, "mlib.string.pop" );
  }


