#include <mlib/string.h>
#include <mlib/internal/icore.h>

  MLIB_APIDEF(void)
  m_str_push( M_CString  string,
              M_Memory   memory )
  {
    m_assert_is_memory( memory );

    m_core_push_inline( memory->mcore, string,
                        (M_CleanupFunc) m_str_free,
                        memory, "mlib.string.push" );
  }


