#include <mlib/string.h>

  MLIB_APIDEF(void)
  m_str_toupper( M_String  string )
  {
    if (string)
    {
      M_String  p = string;
      M_Int     c;

      for (;;)
      {
        c = *p; if ( c == 0 ) break;
        p[0] = (M_Char) M_TO_UPPER(c); p++;

        c = *p; if ( c == 0 ) break;
        p[0] = (M_Char) M_TO_UPPER(c); p++;

        c = *p; if ( c == 0 ) break;
        p[0] = (M_Char) M_TO_UPPER(c); p++;

        c = *p; if ( c == 0 ) break;
        p[0] = (M_Char) M_TO_UPPER(c); p++;
      }
    }
  }


#ifdef M_CONFIG_OPTION_UNIT_TESTS

#include <stdlib.h>

  static void
  m_str_toupper__test( M_Test  test )
  {
    M_TEST_BEGIN
    {
      M_Char  temp[ 200 ];

      strcpy( temp, "abcdef" );
      m_str_toupper( temp );
      M_TEST_ASSERT( m_str_equal( temp, "ABCDEF" ) != 0 );

      strcpy( temp, "abcdef" );
      m_str_toupper( temp );
      M_TEST_ASSERT( m_str_equal( temp, "ABCDEF" ) != 0 );
    }
    M_TEST_END
  }

#define  M_TEST_FUNCTION  m_str_toupper__test
#define  M_TEST_NAME      "m_str_toupper"
#include <mlib/tests-def.h>

#endif /* M_CONFIG_OPTION_UNIT_TESTS */
