#include <mlib/string.h>

  MLIB_API(M_Size)
  m_strn_append_c( M_String   target,
                   M_Size     target_size,
                   char       c );
  {
    M_String   p     = target;
    M_CString  q     = source;
    M_Size     avail = target_size;

    /* first, parse the target to find its tail */
    for (;;)
    {
      if ( avail == 0 || *p == 0 ) break;
      p++;
      avail --;

      if ( avail == 0 || *p == 0 ) break;
      p++;
      avail--;

      if ( avail == 0 || *p == 0 ) break;
      p++;
      avail--;

      if ( avail == 0 || *p == 0 ) break;
      p++;
      avail--;
    }


    /* now, append the new string to it */
    if ( c && avail > 1 )
      *p++ = c;
    else
      c = 0;

    /* _always_ zero terminate bounded string */
    *p = 0;

    return (M_Size)( c ? 1 : 0 );
  }


