#include <mlib/internal/istrlist.h>

  MLIB_APIDEF( M_StrList )
  m_strlist_new( M_Memory         memory,
                 M_UInt           size,
                 M_StrList_Owner  owner )
  {
    M_IStrList  list;

    M_NEW(list);
    list->memory = memory;
    list->magic  = M_MAGIC_STRLIST;
    list->owner  = owner;

    if ( size > 0 )
    {
      m_strlist_push( (M_StrList)list );
      {
        M_NEW_ARRAY( list->list.strings, size );
        list->size = size;
      }
      m_strlist_pop ( (M_StrList)list );
    }
    return (M_StrList) list;
  }


