#include <mlib/internal/itime.h>

  MLIB_APIDEF( M_Int )
  m_time_compare( const M_Time  time1_,
                  const M_Time  time2_ )
  {
    M_ITime  time1 = M_ITIME(time1_);
    M_ITime  time2 = M_ITIME(time2_);

    if ( time1->hi < time2->hi )
      return -1;

    if ( time1->hi > time2->hi )
      return 1;

    if ( time1->lo < time2->lo )
      return -1;

    if ( time1->lo > time2->lo )
      return 1;

    return 0;
  }


